//=========================================================================
//
//	FILE:				DragDrop_DragSourceView.h
//	
//						Copyright  2004. Ken Stahlman. All Rights Reserved.
//	
//	PURPOSE:			CP_View class to serve as a drag and drop CP_M_Source object.
//	
//	HISTORY:			1st Version - August 2004.
//	
//	NOTES:				- none -
//
//	VERSION:			Current Revision: $Rev: 2 $
//						Latest Checkout:  $Date: 2005-08-30 22:32:52 -0700 (Tue, 30 Aug 2005) $
//
//=========================================================================
#ifndef _H_DragSourceView
#define _H_DragSourceView
#ifndef TARGET_OS_LINUX
	#pragma once
#endif

	// CPLAT_Framework
#include "CP_View.h"

/*!
*	\class		DragSourceView
*	\brief		CP_View class to serve as a drag and drop CP_M_Source object.
*/
class CP_EXPORT DragSourceView : public CPLAT::CP_View
{
public:
	//! @name Constructor / Destructor
	//@{
	//! Constructor.
								DragSourceView(
										CPLAT::CP_View *inSuperview,
										const CPLAT::CP_Point& inUpperLeft,
										const CPLAT::CP_Size& inContentSize );
	//! Destructor.
	virtual						~DragSourceView() throw();
	//@}
			
protected:
	//! @name Drawing
	//@{
	virtual	void				OnDraw(
										CPLAT::CP_Canvas& inCanvas,
										CPLAT::CP_Region& inUpdateArea );
	//@}

	//! @name Drag and Drop
	//@{
	virtual	void				AddDragImage(
										CPLAT::CP_DragDrop& inDragDrop,
										const CPLAT::CP_Point& inStartPoint );
	//@}

	//! @name Events
	//@{
	virtual	void				InitEventHandler( CPLAT::CP_EventHandler& inEventHandler );

			void 				HandleControlHitEvent( CPLAT::CP_Event_Base& inEvent );
	//@}

	// class data
protected:
	
//========================================================================
// Platform specific routines
//========================================================================
#if TARGET_OS_MAC
#endif

#if TARGET_OS_WIN32
#endif

#if TARGET_OS_LINUX
#endif
};

#endif	// _H_DragSourceView

