//=========================================================================
//
//	FILE:				CP_Nib_MacOS_App.cpp
//	
//						Copyright  2004. Ken Stahlman. All Rights Reserved.
//	
//	PURPOSE:			Application class for the CP_Nib_MacOS demo.
//	
//	HISTORY:			1st Version - August 2004.
//	
//	NOTES:				- none -
//
//	VERSION:			Current Revision: $Rev: 5 $
//						Latest Checkout:  $Date: 2005-08-28 20:39:49 -0700 (Sun, 28 Aug 2005) $
//
//=========================================================================

	// Precompile header support
#include "CP_Precomp.h"

	// CP_Nib_MacOS;
#include "CP_Nib_MacOS_App.h"

	// CPLAT_Framework
#include "CP_Application.tmpl.h"
#include "CP_CFBundle.h"
#include "CP_CPClassNames.h"
#include "CP_IBClassToCPXML.h"
#include "CP_IBTags.h"
#include "CP_Nib.h"
#include "CP_MenuBarManager.h"
#include "CP_PersistManager.h"
#include "CP_StaticText.h"
#include "CP_String.h"
#include "CP_Window.h"

#if TARGET_CC_METROWERKS
#pragma mark -
#pragma mark === Construction / Destruction ==
#pragma mark -
#endif

//=========================================================================
//	FUNCTION:	CP_Nib_MacOS_Application
//	
//	VISIBLITY:	Public
//=========================================================================
/*!
*	Constructor.
*	
*	@exception	none
*/
CP_Nib_MacOS_Application::CP_Nib_MacOS_Application()
{
	RegisterPersist( CPLAT::CP_DocumentWindow,			kCP_ClassName_DocumentWindow );
	RegisterPersist( CPLAT::CP_Window,					kCP_ClassName_Window );
	RegisterPersist( CPLAT::CP_DocumentWindow,  		kCP_ClassName_DocumentWindow );
	RegisterPersist( CPLAT::CP_StaticText,				kCP_ClassName_StaticText );

	CPLAT::RegisterKnownIBClasses();
}

//=========================================================================
//	FUNCTION:	~CP_Nib_MacOS_Application
//	
//	VISIBLITY:	Public
//=========================================================================
/*!
*	Destructor.
*	
*	@exception	none
*/
CP_Nib_MacOS_Application::~CP_Nib_MacOS_Application() throw()
{
}

#if TARGET_CC_METROWERKS
#pragma mark -
#pragma mark === AboutBox ===
#pragma mark -
#endif

//=========================================================================
//	FUNCTION:	GetAboutBoxDescription
//	
//	VISIBLITY:	Protected
//=========================================================================
/*!
*	Return the string that describes the purpose of the application in the
*	AboutBox.
*	
*	@exception	none
*
*	@return		CP_String const		The description, displayed in the about box.
*/
CPLAT::CP_String CP_Nib_MacOS_Application::GetAboutBoxDescription() const
{
	CPLAT::CP_String		returnDescription;
	
	returnDescription = "A simple CPLAT application to show the basic use of nibs in CPLAT.";
	
	return( returnDescription );
}

#if TARGET_CC_METROWERKS
#pragma mark -
#pragma mark === Main Window ===
#pragma mark -
#endif

//=========================================================================
//	FUNCTION:	HandleOpenApplication
//	
//	VISIBLITY:	Protected
//=========================================================================
/*!
*	Called when the application is starting up. We take this opportunity to
*	create our initial window and views. In this demo, we create a single view,
*	CP_Nib_MacOS_View that displays our single line of text.
*	
*	@exception	none
*
*	@return		void
*/
void CP_Nib_MacOS_Application::HandleOpenApplication()
{
	try
	{
		CPLAT::CP_CFBundle			cfBundle;
		CPLAT::CP_Nib				mainWindowNib;
		CPLAT::CP_String			nibName( "CP_Nib_MacOS" );
		CPLAT::CP_String			windowName( "MainWindow" );
		CPLAT::CP_Window			*mainWindow = NULL;

		mainWindow = mainWindowNib.LoadWindow( cfBundle, nibName, windowName );
		CP_ThrowIfNULL(mainWindow);
		
		mainWindow->Show();
	}
	catch(...)
	{
	}
}

#if TARGET_OS_MAC

#if TARGET_CC_METROWERKS
#pragma mark -
#pragma mark === Mac Specific ===
#pragma mark -
#endif

#endif	// TARGET_OS_MAC

#if TARGET_OS_WIN32

#if TARGET_CC_METROWERKS
#pragma mark -
#pragma mark === Win Specific ===
#pragma mark -
#endif

#endif	// TARGET_OS_WIN32

#if TARGET_OS_LINUX

#if TARGET_CC_METROWERKS
#pragma mark -
#pragma mark === Linux Specific ===
#pragma mark -
#endif

#endif	// TARGET_OS_LINUX
