#include <Carbon.r>

#define Reserved8   reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved
#define Reserved12  Reserved8, reserved, reserved, reserved, reserved
#define Reserved13  Reserved12, reserved
#define dp_none__   noParams, "", directParamOptional, singleItem, notEnumerated, Reserved13
#define reply_none__   noReply, "", replyOptional, singleItem, notEnumerated, Reserved13
#define synonym_verb__ reply_none__, dp_none__, { }
#define plural__    "", {"", kAESpecialClassProperties, cType, "", reserved, singleItem, notEnumerated, readOnly, Reserved8, noApostrophe, notFeminine, notMasculine, plural}, {}

resource 'aete' (0, "CP_Printing Terminology") {
	0x1,  // major version
	0x0,  // minor version
	english,
	roman,
	{
		"Type Names Suite",
		"Hidden terms",
		kASTypeNamesSuite,
		1,
		1,
		{
			/* Events */

			"run",
			"",
			'aevt', 'oapp',
			reply_none__,
			dp_none__,
			{

			},

			"reopen",
			"",
			'aevt', 'rapp',
			reply_none__,
			dp_none__,
			{

			},

			"show prefs",
			"",
			'aevt', 'pref',
			reply_none__,
			dp_none__,
			{

			},

			"activate",
			"",
			'misc', 'actv',
			reply_none__,
			'cwin',
			"",
			directParamOptional,
			singleItem, notEnumerated, Reserved13,
			{

			},

			"get",
			"",
			'core', 'getd',
			'****',
			"",
			replyRequired, singleItem, notEnumerated, Reserved13,
			'obj ',
			"",
			directParamRequired,
			singleItem, notEnumerated, Reserved13,
			{
				"as", 'rtyp', 'type',
				"",
				optional,
				singleItem, notEnumerated, Reserved13
			}
		},
		{
			/* Classes */

			"application", 'capp',
			"An application's top level scripting object.",
			{
				"<Inheritance>", pInherits, 'cobj',
				"inherits elements and properties of the item class.",
				reserved, singleItem, notEnumerated, readOnly, Reserved12
			},
			{
			}
		},
		{
			/* Comparisons */
		},
		{
			/* Enumerations */
		},

		"CP_Printing Suite",
		"Common terms for applications.",
		'CoRe',
		1,
		1,
		{
			/* Events */

			"close",
			"",
			'core', 'clos',
			reply_none__,
			'obj ',
			"",
			directParamRequired,
			singleItem, notEnumerated, Reserved13,
			{
				"saving", 'savo', '****',
				"",
				optional,
				singleItem, notEnumerated, Reserved13,
				"saving in", 'kfil', '****',
				"",
				optional,
				singleItem, notEnumerated, Reserved13
			},

			"count",
			"",
			'core', 'cnte',
			'long',
			"",
			replyRequired, singleItem, notEnumerated, Reserved13,
			'obj ',
			"",
			directParamRequired,
			singleItem, notEnumerated, Reserved13,
			{
				"each", 'kocl', 'type',
				"",
				optional,
				singleItem, notEnumerated, Reserved13
			},

			"delete",
			"",
			'core', 'delo',
			reply_none__,
			'obj ',
			"",
			directParamRequired,
			singleItem, notEnumerated, Reserved13,
			{

			},

			"duplicate",
			"",
			'core', 'clon',
			'obj ',
			"",
			replyRequired, singleItem, notEnumerated, Reserved13,
			'obj ',
			"",
			directParamRequired,
			singleItem, notEnumerated, Reserved13,
			{
				"to", 'insh', 'insl',
				"",
				optional,
				singleItem, notEnumerated, Reserved13,
				"with properties", 'prdt', 'reco',
				"",
				optional,
				singleItem, notEnumerated, Reserved13
			},

			"exists",
			"",
			'core', 'doex',
			'bool',
			"",
			replyRequired, singleItem, notEnumerated, Reserved13,
			'obj ',
			"",
			directParamRequired,
			singleItem, notEnumerated, Reserved13,
			{

			},

			"make",
			"",
			'core', 'crel',
			'obj ',
			"",
			replyRequired, singleItem, notEnumerated, Reserved13,
			dp_none__,
			{
				"with properties", 'prdt', 'reco',
				"",
				optional,
				singleItem, notEnumerated, Reserved13,
				"new", 'kocl', 'type',
				"",
				required,
				singleItem, notEnumerated, Reserved13,
				"with data", 'data', '****',
				"",
				optional,
				singleItem, notEnumerated, Reserved13,
				"at", 'insh', 'insl',
				"",
				optional,
				singleItem, notEnumerated, Reserved13
			},

			"move",
			"",
			'core', 'move',
			'obj ',
			"",
			replyRequired, singleItem, notEnumerated, Reserved13,
			'obj ',
			"",
			directParamRequired,
			singleItem, notEnumerated, Reserved13,
			{
				"to", 'insh', 'insl',
				"",
				required,
				singleItem, notEnumerated, Reserved13
			},

			"open",
			"",
			'aevt', 'odoc',
			reply_none__,
			'****',
			"",
			directParamRequired,
			listOfItems, notEnumerated, Reserved13,
			{

			},

			"print",
			"",
			'aevt', 'pdoc',
			reply_none__,
			'****',
			"",
			directParamRequired,
			listOfItems, notEnumerated, Reserved13,
			{
				"with properties", 'prdt', 'reco',
				"",
				required,
				singleItem, notEnumerated, Reserved13,
				"print dialog", 'pdlg', 'bool',
				"",
				required,
				singleItem, notEnumerated, Reserved13
			},

			"quit",
			"",
			'aevt', 'quit',
			reply_none__,
			dp_none__,
			{
				"saving", 'savo', '****',
				"",
				required,
				singleItem, notEnumerated, Reserved13
			},

			"redo",
			"",
			'misc', 'redo',
			reply_none__,
			dp_none__,
			{

			},

			"save",
			"",
			'core', 'save',
			reply_none__,
			'obj ',
			"",
			directParamRequired,
			singleItem, notEnumerated, Reserved13,
			{
				"as", 'fltp', 'type',
				"",
				optional,
				singleItem, notEnumerated, Reserved13,
				"in", 'kfil', '****',
				"",
				optional,
				singleItem, notEnumerated, Reserved13
			},

			"revert",
			"",
			'misc', 'rvrt',
			reply_none__,
			'obj ',
			"",
			directParamRequired,
			singleItem, notEnumerated, Reserved13,
			{

			},

			"set",
			"",
			'core', 'setd',
			reply_none__,
			'obj ',
			"",
			directParamRequired,
			singleItem, notEnumerated, Reserved13,
			{
				"to", 'data', '****',
				"",
				required,
				singleItem, notEnumerated, Reserved13
			},

			"undo",
			"",
			'misc', 'undo',
			reply_none__,
			dp_none__,
			{

			}
		},
		{
			/* Classes */

			"item", 'cobj',
			"Abstract object provides a base class for scripting classes",
			{
				"type class", 'pcls', 'type',
				"",
				reserved, singleItem, notEnumerated, readOnly, Reserved12,

				"properties", 'pALL', 'reco',
				"",
				reserved, singleItem, notEnumerated, readWrite, Reserved12
			},
			{
			},
			"items", 'cobj', plural__,

			"application", 'capp',
			"An application's top level scripting object.",
			{
				"<Inheritance>", pInherits, 'cobj',
				"inherits elements and properties of the item class.",
				reserved, singleItem, notEnumerated, readOnly, Reserved12
			},
			{
				'cwin', { formAbsolutePosition }
			},
			"applications", 'capp', plural__,

			"window", 'cwin',
			"A window.",
			{
				"<Inheritance>", pInherits, 'cobj',
				"inherits elements and properties of the item class.",
				reserved, singleItem, notEnumerated, readOnly, Reserved12,

				"name", 'pnam', '****',
				"The title of the window.",
				reserved, singleItem, notEnumerated, readOnly, Reserved12,

				"bounds", 'pbnd', 'qdrt',
				"The bounding rectangle of the window.",
				reserved, singleItem, notEnumerated, readWrite, Reserved12,

				"closeable", 'hclb', 'bool',
				"",
				reserved, singleItem, notEnumerated, readOnly, Reserved12,

				"floating", 'isfl', 'bool',
				"",
				reserved, singleItem, notEnumerated, readOnly, Reserved12,

				"index", 'pidx', 'long',
				"",
				reserved, singleItem, notEnumerated, readWrite, Reserved12,

				"minimizable", 'ismn', 'bool',
				"",
				reserved, singleItem, notEnumerated, readOnly, Reserved12,

				"minimized", 'pmnd', 'bool',
				"",
				reserved, singleItem, notEnumerated, readWrite, Reserved12,

				"modal", 'pmod', 'bool',
				"",
				reserved, singleItem, notEnumerated, readOnly, Reserved12,

				"position", 'posn', 'QDpt',
				"",
				reserved, singleItem, notEnumerated, readWrite, Reserved12,

				"resizable", 'prsz', 'bool',
				"",
				reserved, singleItem, notEnumerated, readOnly, Reserved12,

				"titled", 'ptit', 'bool',
				"",
				reserved, singleItem, notEnumerated, readOnly, Reserved12,

				"visible", 'pvis', 'bool',
				"",
				reserved, singleItem, notEnumerated, readWrite, Reserved12,

				"zoomable", 'iszm', 'bool',
				"",
				reserved, singleItem, notEnumerated, readOnly, Reserved12,

				"zoomed", 'pzum', 'bool',
				"",
				reserved, singleItem, notEnumerated, readWrite, Reserved12
			},
			{
			},
			"windows", 'cwin', plural__
		},
		{
			/* Comparisons */
		},
		{
			/* Enumerations */
		}
	}
};
