//=========================================================================
//
//	FILE:				CP_InPlaceEdit_TV_DataBrowser_Doc.h
//	
//						Copyright  2004. Ken Stahlman. All Rights Reserved.
//	
//	PURPOSE:			CP_Document class to show the CP_TV_DataBrower in a
//						simple single column tree view.
//	
//	HISTORY:			1st Version - August 2004.
//	
//	NOTES:				- none -
//
//	VERSION:			Current Revision: $Rev: 2 $
//						Latest Checkout:  $Date: 2005-01-06 14:43:34 -0800 (Thu, 06 Jan 2005) $
//
//=========================================================================
#ifndef _H_CP_InPlaceEdit_TV_DataBrowser_Doc
#define _H_CP_InPlaceEdit_TV_DataBrowser_Doc
#ifndef TARGET_OS_LINUX
	#pragma once
#endif

	// CPLAT_Framework
#include "CP_DataSource.h"
#include "CP_Document.h"
#include "CP_File.h"
#include "CP_FileSystemSpec.h"
#include "CP_OSTypes.h"
#include "CP_PrintPolicy_None.h"
#include "CP_ScriptableObject.h"
#include "CP_STLArrayDefines.h"
#include "CP_Types.h"
#include "CP_UndoPolicy_None.h"

/*!
*	@class		CP_InPlaceEdit_TV_DataBrowser_Doc
*	@brief		CP_Document class to handle the data from the main window and reading / writing contents.
*/
class CP_EXPORT CP_InPlaceEdit_TV_DataBrowser_Doc : public CPLAT::CP_Document<CPLAT::CP_UndoPolicy_None, CPLAT::CP_PrintPolicy_None>,
	CPLAT::CP_DataSource
{
public:
	//! @name Constructor / Destructor
	//@{
	//! Constructor.
										CP_InPlaceEdit_TV_DataBrowser_Doc(
												CPLAT::CP_ScriptableObject *inContainer,
												CPLAT::FourCharCode inDocType );
	virtual								~CP_InPlaceEdit_TV_DataBrowser_Doc() throw();
	//@}
			
	//! @name Creator
	//@{
	static	CPLAT::CP_Document_Base	 	*DocumentCreator(
												CPLAT::CP_ScriptableObject *inContainer,
												CPLAT::FourCharCode inDocumentClass );
	//@}

	//! @name DataSource
	//@{
	virtual	CPLAT::CP_DataValueHolder	GetData( SInt32 inID );
	virtual	void						HandleChangedData( CPLAT::CP_S_DataSource_ChangedData& inChangedData );
	//@}

	//! @name Document UI
	//@{
	virtual	void						HandleCreateDocumentUI( SInt32 inPostCreateFlags = CP_E_Doc_Create_DoNothing );
	//@}

protected:

private:

			void						CreateStringData();

			void						HandleDataChanged(
												const CPLAT::CP_DataValueHolder& inValue,
												CPLAT::OSStatus& inOSStatus );

	// class data
protected:
	CPLAT::CP_Strings_Array				fTableStrings;
	
private:
	typedef CPLAT::CP_Document<CPLAT::CP_UndoPolicy_None, CPLAT::CP_PrintPolicy_None>	inherited;

//========================================================================
// Platform specific routines
//========================================================================
#if TARGET_OS_MAC
#endif

#if TARGET_OS_WIN32
#endif

#if TARGET_OS_LINUX
#endif
};

#endif	// _H_CP_InPlaceEdit_TV_DataBrowser_Doc

