/*
=========================================================================

	FILE:		CP_PlugIn.h
	
				Copyright  2001. Ken Stahlman. All Rights Reserved.
	
	PURPOSE:	Base class for a plug in used in the CPLAT framework. This
				class is designed to be used with CP_M_MixIn_Host applications
				to provide plug in support.
	
	HISTORY:	1st Version - September 2001.
	
	NOTES:		- none -

	VERSION:	Current Revision: $Revision: 2 $
				Latest Checkout:  $Date: 2004-12-21 19:40:38 -0800 (Tue, 21 Dec 2004) $

=========================================================================
*/
#ifndef _H_CP_PlugIn
#define _H_CP_PlugIn
#ifndef __BUILD_LINUX__
	#pragma once
#endif

	// CPLAT_Framework
#include "CP_COM.h"
#include "CP_M_PlugIn_Host.h"
#include "CP_Types.h"

CPLAT_Begin_Namespace_CPLAT

class ICP_PlugIn : public IUnknown
{
public:
												// Construction / Destruction
										ICP_PlugIn();
	virtual								~ICP_PlugIn();
	
												// IUnknown
	virtual HRESULT STDMETHODCALLTYPE	QueryInterface(
												REFIID inIID,
												void **outInterface );
	virtual UInt32 STDMETHODCALLTYPE	AddRef();
	virtual UInt32 STDMETHODCALLTYPE	Release();
										
												// ICP_PlugIn
	virtual CP_String STDMETHODCALLTYPE	GetName() const								{ return( "" ); }

	virtual SInt32 STDMETHODCALLTYPE	DoPlugInTask(
												CP_M_PlugIn_Host */*inPlugInHost*/,
												SInt32 /*inTask*/ )						{ return( S_OK ); }

	// Class data
private:
	UInt32								fRefCount;
		
//========================================================================
// Platform specific routines
//========================================================================
#if TARGET_OS_MAC
#endif

#if TARGET_OS_WIN32
#endif
};

CPLAT_End_Namespace_CPLAT

#endif	// _H_CP_PlugIn

