//=========================================================================
//
//	FILE:				CP_UIFieldSetters.h
//	
//						Copyright  2005. Ken Stahlman. All Rights Reserved.
//	
//	PURPOSE:			Routines used to set data into various CPLAT UI views.
//	
//	HISTORY:			1st Version - April 2005.
//	
//	NOTES:				- none -
//
//	VERSION:			Current Revision: $Rev:$
//						Latest Checkout:  $Date:$
//
//=========================================================================
#ifndef _H_CP_UIFieldSetters
#define _H_CP_UIFieldSetters
#ifndef TARGET_OS_LINUX
	#pragma once
#endif

	// CPLAT_Framework
#include "CP_EditField.h"
#include "CP_SelectColorButton.h"

CPLAT_Begin_Namespace_CPLAT

namespace CP_UIFieldSetters
{
		// CP_EditField
	bool 							CP_SInt16ToEditField(
											CP_EditField *inEditField,
											SInt16 inValue );
	bool 							CP_FloatToEditField(
											CP_EditField *inEditField,
											float inValue );

	bool							CP_SInt16ToEditField(
											CP_View *inSuperview,
											UInt32 inObjectID,
											SInt16 inValue,
											bool inRecrusive = kCP_NoRecrusiveSearch );
	bool							CP_SInt32ToEditField(
											CP_View *inSuperview,
											UInt32 inObjectID,
											SInt32 inValue,
											bool inRecrusive = kCP_NoRecrusiveSearch );
	bool							CP_UInt32ToEditField(
											CP_View *inSuperview,
											UInt32 inObjectID,
											UInt32 inValue,
											bool inRecrusive = kCP_NoRecrusiveSearch );
	bool							CP_FloatToEditField(
											CP_View *inSuperview,
											UInt32 inObjectID,
											float inValue,
											bool inRecrusive = kCP_NoRecrusiveSearch );
	bool							CP_StringToEditField(
											CP_View *inSuperview,
											UInt32 inObjectID,
											const CP_String& inValue,
											bool inRecrusive = kCP_NoRecrusiveSearch );

	
		// CP_PlatformControl
	bool 							CP_BoolToPlatformControl(
											CP_PlatformControl *inPlatformControl,
											const bool inValue );
	bool							CP_BoolToPlatformControl(
											CP_View *inSuperview,
											UInt32 inObjectID,
											bool inValue,
											bool inRecrusive = kCP_NoRecrusiveSearch );

		// CP_PopupMenu
	bool 							CP_SInt32ToPopupMenu(
											CP_PopupMenu *inPopupMenu,
											const SInt32 inValue );
	bool							CP_SInt32ToPopupMenu(
											CP_View *inSuperview,
											UInt32 inObjectID,
											const SInt32 inValue,
											bool inRecrusive = kCP_NoRecrusiveSearch );

		// CP_SelectColorButton
	bool 							CP_RGBColorToSelectColorButton(
											CP_SelectColorButton *inSelectColorButton,
											const CP_RGBColor& inValue );
	bool							CP_RGBColorToSelectColorButton(
											CP_View *inSuperview,
											UInt32 inObjectID,
											const CP_RGBColor& inValue,
											bool inRecrusive = kCP_NoRecrusiveSearch );


		// CP_StaticText
	bool 							CP_StringToStaticText(
											CP_StaticText *inStaticText,
											const CP_String inValue );

	bool							CP_StringToStaticText(
											CP_View *inSuperview,
											UInt32 inObjectID,
											const CP_String inValue,
											bool inRecrusive = kCP_NoRecrusiveSearch );

		// CP_TextView
	bool 							CP_StringToTextView(
											CP_TextView *inTextView,
											const CP_String inValue );

	bool							CP_StringToTextView(
											CP_View *inSuperview,
											UInt32 inObjectID,
											const CP_String inValue,
											bool inRecrusive = kCP_NoRecrusiveSearch );
}	// namespace CP_UIFieldSetters

CPLAT_End_Namespace_CPLAT

#endif	// _H_CP_UIFieldSetters


