//=========================================================================
//
//	FILE:				CP_CGBitmap.h
//	
//						Copyright  2005. Ken Stahlman. All Rights Reserved.
//	
//	PURPOSE:			A class to handle Quartz CGBitmaps.
//	
//	HISTORY:			1st Version - February 2005.
//	
//	NOTES:				- none -
//
//	VERSION:			Current Revision: $Rev: 271 $
//						Latest Checkout:  $Date: 2005-09-06 19:24:58 -0700 (Tue, 06 Sep 2005) $
//
//=========================================================================
#ifndef _H_CP_CGBitmap
#define _H_CP_CGBitmap
#ifndef TARGET_OS_LINUX
	#pragma once
#endif

#if TARGET_OS_MAC && TARGET_RT_MAC_MACHO

	// CPLAT_Framework
#include "CP_CGColorSpace.h"

CPLAT_Begin_Namespace_CPLAT

/*!
*	@class		CP_CGBitmap
*	@brief		A class to handle Quartz CGBitmaps.
*/
class CP_EXPORT CP_CGBitmap
{
public:
	//! @name Constructor / Destructor
	//@{
	//! Constructor.
										CP_CGBitmap(
												SInt32 inWidth,
												SInt32 inHeight,
												const CP_CGColorSpace& inColorSpace,
												void *inBitmapData,
												CGImageAlphaInfo inAlphaInfo = kCGImageAlphaPremultipliedFirst );
	//! Destructor.
	virtual								~CP_CGBitmap() throw();
	//@}

	//! @name CGContextRef
	//@{
										/*!
										*	Return theCGContextRef for this bitmap object.
										*	
										*	@exception	none
										*	
										*	@return		CGContextRef		The CGContextRef for this object.
										*/
			CGContextRef				GetContextRef()										{ return( fBitmapContext ); }
	//@}

protected:

private:
	//! @name Initialization
	//@{
			void						Init(
												SInt32 inWidth,
												SInt32 inHeight,
												const CP_CGColorSpace& inColorSpace,
												void *inBitmapData,
												CGImageAlphaInfo inAlphaInfo = kCGImageAlphaPremultipliedFirst );
	//@}
			
	// class data
private:
	CGContextRef						fBitmapContext;		/*! The CGContextRef for the bitmap. */
};

CPLAT_End_Namespace_CPLAT

#endif	// TARGET_OS_MAC && TARGET_RT_MAC_MACHO

#endif	// _H_CP_CGBitmap

