//=========================================================================
//
//	FILE:				CP_TabGroup.h
//	
//						Copyright  2004. Ken Stahlman. All Rights Reserved.
//	
//	PURPOSE:			Object to manage tabbing between views.
//	
//	HISTORY:			1st Version - November 2004.
//	
//	NOTES:				- none -
//
//	VERSION:			Current Revision: $Rev: 160 $
//						Latest Checkout:  $Date: 2005-04-27 21:21:26 -0700 (Wed, 27 Apr 2005) $
//
//=========================================================================
#ifndef _H_CP_TabGroup
#define _H_CP_TabGroup
#ifndef TARGET_OS_LINUX
	#pragma once
#endif

	// CPLAT_Framework
#include "CP_M_Persist.h"
#include "CP_M_SubViewHandler.h"
#include "CP_SignalSlot.h"

CPLAT_Begin_Namespace_CPLAT

class CP_EXPORT CP_TabGroup : public CP_M_Persist, public CP_SigSlot::CP_SlotObject
{
public:
	//! @name Constructor / Destructor
	//@{
	//! Constructor.
										CP_TabGroup();
	//! Destructor.
	virtual								~CP_TabGroup() throw();
	//@}

	//! @name Persistance
	//@{
	static CP_M_Persist					*PersistCreator();
	//@}

	//! @name Targets
	//@{
			void						AddTarget( CP_View *inTarget );
			void						RemoveTaget( CP_View *inTarget );
	//@}

protected:
	//! @name Persistance
	//@{
	virtual	void						OnInitPersist(
												CP_View *inSuperview,
												CP_DataValueList& inDataValueList );
	//@}

	//! @name Targets
	//@{
	virtual	void						TargetNextField();
	virtual	void						TargetPreviousField();

			SInt32						GetCurrentTargetIndex();
	//@}

private:
			void						EditFieldExit(
												CP_DataValueHolder& inValue,
												OSStatus& inOutStatus );

	// class data
protected:
	CP_SubViews_List					*fTabTargets;		/*! List of views that user can tab to */
		
//========================================================================
// Platform specific routines
//========================================================================
#if TARGET_OS_MAC
#endif

#if TARGET_OS_WIN32
#endif

#if TARGET_OS_LINUX
#endif
};

CPLAT_End_Namespace_CPLAT

#endif	// _H_CP_TabGroup

