//=========================================================================
//
//	FILE:				CP_ViewUtilities.h
//	
//						Copyright  2004. Ken Stahlman. All Rights Reserved.
//	
//	PURPOSE:			DESCRIBE CLASS HERE
//	
//	HISTORY:			1st Version - August 2004.
//	
//	NOTES:				- none -
//
//	VERSION:			Current Revision: $Rev: 166 $
//						Latest Checkout:  $Date: 2005-05-03 16:59:08 -0700 (Tue, 03 May 2005) $
//
//=========================================================================
#ifndef _H_CP_ViewUtilities
#define _H_CP_ViewUtilities
#ifndef TARGET_OS_LINUX
	#pragma once
#endif

	// CPLAT_Framework
#include "CP_Window.h"

CPLAT_Begin_Namespace_CPLAT

class CP_EXPORT CP_ViewUtilities
{
public:
											// Windows
	static CP_Window					*OSWindowToCplatWindow( OSWindow inOSWindow );
		
											// Views
	static	void						CreateViews( CP_Window *inWindow );

protected:

	// class data
protected:
	
//========================================================================
// Platform specific routines
//========================================================================
#if TARGET_OS_MAC
public:
	static	CP_View						*CreateCPViewFromControlKind(
												CP_View *inSuperview,
												const CP_String& inClassName,
												OSControl inOSControl,
												bool *inOutIsContainerView );

	#if TARGET_RT_MAC_MACHO && MAC_OS_X_VERSION_MAX_ALLOWED >= 1020
		static	void					CreateViewsFromHIViews( CP_Window *inWindow );
		static	void					CreateSubviewsHIViews(
												CP_Window *inWindow,
												HIViewRef inContainerView );
	#else
		static	void					CreateViewsFromControls( CP_Window *inWindow );
	#endif
#endif

#if TARGET_OS_WIN32
#endif

#if TARGET_OS_LINUX
#endif
};

CPLAT_End_Namespace_CPLAT

#endif	// _H_CP_ViewUtilities

