//=========================================================================
//
//	FILE:				CP_EventHandler_Imp_MDIFram.h
//	
//						Copyright  2004. Ken Stahlman. All Rights Reserved.
//	
//	PURPOSE:			Mix-in class for classes that need to handle Windows
//						MDI frame window events.
//	
//	HISTORY:			1st Version - August 2004.
//	
//	NOTES:				- none -
//
//	VERSION:			Current Revision: $Rev: 20 $
//						Latest Checkout:  $Date: 2004-12-28 12:04:17 -0800 (Tue, 28 Dec 2004) $
//
//=========================================================================
#ifndef _H_CP_EventHandler_Imp_MDIFrameWin
#define _H_CP_EventHandler_Imp_MDIFrameWin
#ifndef TARGET_OS_LINUX
	#pragma once
#endif

#if TARGET_OS_WIN32

	// CPLAT_Framework
#include "CP_Event.h"
#include "CP_EventHandler.h"
#include "CP_Types.h"

CPLAT_Begin_Namespace_CPLAT

class CP_EXPORT CP_EventHandler_Imp_MDIFrame : public CP_EventHandler
{
public:
	//! @name Constructor / Destructor
	//@{
	//! Constructor.
								CP_EventHandler_Imp_MDIFrame();
	//! Destructor.
	virtual						~CP_EventHandler_Imp_MDIFrame();
	//@}
			
	//! @name Events
	//@{
	virtual	LRESULT CALLBACK 	EventHandlerProc(
										HWND hwnd,
										UINT iMsg,
										WPARAM wParam,
										LPARAM lParam ) throw();
	//@}

protected:

	// class data
protected:
};

CPLAT_End_Namespace_CPLAT

#endif	// TARGET_OS_WIN32

#endif	// _H_CP_EventHandler_Imp_MDIFrameWin
